#
# spec file for package xpinguin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xpinguin
BuildRequires:  imake
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
Summary:        The 'Logo' of Linux 2.0
License:        GPL-2.0+
Group:          Amusements/Toys/Graphics
Version:        1.0.2
Release:        lp150.1214.3
Source:         xpinguin.tar.gz
Source1:        xpinguin.png
Source2:        xpinguin.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Based on xteddy -- really cute ;-)



Authors:
--------
    Stefan Gustavson <stefang@isy.liu.se>
    Jens Poenisch <J.Poenisch@wirtschaft.tu-chemnitz.de>

%prep
%setup -n xpinguin
ln -s xpinguin.1 xpinguin.man
xmkmf -a

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install install.man
rm -f   $RPM_BUILD_ROOT/usr/X11R6/man/man1/xpinguin.1x.gz
%suse_update_desktop_file -i xpinguin Amusement

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/xpinguin
%_mandir/man1/xpinguin.1x.gz
/usr/share/applications/xpinguin.desktop
/usr/share/pixmaps/xpinguin.png

%changelog
* Mon Feb 19 2018 crrodriguez@opensuse.org
- Remove xorg-x11-devel buildRequires
* Thu Jul  5 2007 coolo@suse.de
- put the desktop file into the package
* Wed Aug  2 2006 aj@suse.de
- Fix paths for X11R7.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 dmueller@suse.de
- add workaround because update-desktop-files didn't make it
  into beta2
* Sun Jan 22 2006 dmueller@suse.de
- fix file list
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sat Aug 16 2003 adrian@suse.de
- install desktop file from kappfinder
* Thu May 22 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Oct 31 2000 ma@suse.de
- removed group unsorted
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Oct 21 1997 ma@suse.de
- prepared for autobuild
